> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tightknit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve calendar event

> Retrieves a calendar event by ID.



## OpenAPI

````yaml https://api.tightknit.ai/doc-mintlify get /admin/v0/calendar_events/{calendar_event_id}
openapi: 3.1.0
info:
  version: 0.0.0
  title: Tightknit OpenAPI
servers:
  - url: https://api.tightknit.ai
    description: Production server
security:
  - Bearer: []
paths:
  /admin/v0/calendar_events/{calendar_event_id}:
    get:
      tags:
        - Calendar Events
      summary: Retrieve calendar event
      description: Retrieves a calendar event by ID.
      parameters:
        - schema:
            type: string
            minLength: 12
            maxLength: 12
          required: true
          name: calendar_event_id
          in: path
      responses:
        '200':
          description: Calendar event details
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        minLength: 12
                        maxLength: 12
                        pattern: ^[0-9a-zA-Z]+$
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                      allow_public_guest_list:
                        type: boolean
                      description_slack_blocks:
                        type: array
                        nullable: true
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - rich_text
                            elements:
                              type: array
                              items:
                                anyOf:
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - rich_text_section
                                      elements:
                                        type: array
                                        items:
                                          anyOf:
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - broadcast
                                                range:
                                                  type: string
                                                  enum:
                                                    - here
                                                    - channel
                                                    - everyone
                                              required:
                                                - type
                                                - range
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - color
                                                value:
                                                  type: string
                                              required:
                                                - type
                                                - value
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - channel
                                                channel_id:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    highlight:
                                                      type: boolean
                                                    client_highlight:
                                                      type: boolean
                                                    unlink:
                                                      type: boolean
                                              required:
                                                - type
                                                - channel_id
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - date
                                                timestamp:
                                                  type: number
                                                format:
                                                  type: string
                                                url:
                                                  type: string
                                                fallback:
                                                  type: string
                                              required:
                                                - type
                                                - timestamp
                                                - format
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - emoji
                                                name:
                                                  type: string
                                                unicode:
                                                  type: string
                                              required:
                                                - type
                                                - name
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - link
                                                url:
                                                  type: string
                                                text:
                                                  type: string
                                                unsafe:
                                                  type: boolean
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    code:
                                                      type: boolean
                                              required:
                                                - type
                                                - url
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - text
                                                text:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    code:
                                                      type: boolean
                                              required:
                                                - type
                                                - text
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - user
                                                user_id:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    highlight:
                                                      type: boolean
                                                    client_highlight:
                                                      type: boolean
                                                    unlink:
                                                      type: boolean
                                              required:
                                                - type
                                                - user_id
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - usergroup
                                                usergroup_id:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    highlight:
                                                      type: boolean
                                                    client_highlight:
                                                      type: boolean
                                                    unlink:
                                                      type: boolean
                                              required:
                                                - type
                                                - usergroup_id
                                    required:
                                      - type
                                      - elements
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - rich_text_list
                                      style:
                                        type: string
                                        enum:
                                          - bullet
                                          - ordered
                                      elements:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - rich_text_section
                                            elements:
                                              type: array
                                              items:
                                                anyOf:
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - broadcast
                                                      range:
                                                        type: string
                                                        enum:
                                                          - here
                                                          - channel
                                                          - everyone
                                                    required:
                                                      - type
                                                      - range
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - color
                                                      value:
                                                        type: string
                                                    required:
                                                      - type
                                                      - value
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - channel
                                                      channel_id:
                                                        type: string
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          highlight:
                                                            type: boolean
                                                          client_highlight:
                                                            type: boolean
                                                          unlink:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - channel_id
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - date
                                                      timestamp:
                                                        type: number
                                                      format:
                                                        type: string
                                                      url:
                                                        type: string
                                                      fallback:
                                                        type: string
                                                    required:
                                                      - type
                                                      - timestamp
                                                      - format
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - emoji
                                                      name:
                                                        type: string
                                                      unicode:
                                                        type: string
                                                    required:
                                                      - type
                                                      - name
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - link
                                                      url:
                                                        type: string
                                                      text:
                                                        type: string
                                                      unsafe:
                                                        type: boolean
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          code:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - url
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - text
                                                      text:
                                                        type: string
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          code:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - text
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - user
                                                      user_id:
                                                        type: string
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          highlight:
                                                            type: boolean
                                                          client_highlight:
                                                            type: boolean
                                                          unlink:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - user_id
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - usergroup
                                                      usergroup_id:
                                                        type: string
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          highlight:
                                                            type: boolean
                                                          client_highlight:
                                                            type: boolean
                                                          unlink:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - usergroup_id
                                          required:
                                            - type
                                            - elements
                                      indent:
                                        type: number
                                        minimum: 0
                                      offset:
                                        type: number
                                        minimum: 0
                                      border:
                                        type: number
                                        minimum: 0
                                    required:
                                      - type
                                      - style
                                      - elements
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - rich_text_preformatted
                                      elements:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - text
                                            text:
                                              type: string
                                            style:
                                              type: object
                                              properties:
                                                bold:
                                                  type: boolean
                                                italic:
                                                  type: boolean
                                                strike:
                                                  type: boolean
                                                code:
                                                  type: boolean
                                          required:
                                            - type
                                            - text
                                      border:
                                        type: number
                                        minimum: 0
                                    required:
                                      - type
                                      - elements
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - rich_text_quote
                                      elements:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - text
                                            text:
                                              type: string
                                            style:
                                              type: object
                                              properties:
                                                bold:
                                                  type: boolean
                                                italic:
                                                  type: boolean
                                                strike:
                                                  type: boolean
                                                code:
                                                  type: boolean
                                          required:
                                            - type
                                            - text
                                      border:
                                        type: number
                                        minimum: 0
                                    required:
                                      - type
                                      - elements
                            block_id:
                              type: string
                          required:
                            - type
                            - elements
                        description: >-
                          The event description in Slack blocks format for rich
                          text input element
                      description_slack_blocks_references:
                        type: object
                        nullable: true
                        properties:
                          mentioned_slack_users:
                            type: array
                            items:
                              type: object
                              properties:
                                profile_id:
                                  type: string
                                  format: uuid
                                preferred_name:
                                  type: string
                                slack_user_id:
                                  type: string
                                  nullable: true
                              required:
                                - profile_id
                                - preferred_name
                          mentioned_slack_channels:
                            type: array
                            items:
                              type: object
                              properties:
                                slack_channel:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    name:
                                      type: string
                                      nullable: true
                                  required:
                                    - id
                                    - name
                                feed:
                                  type: object
                                  nullable: true
                                  properties:
                                    id:
                                      type: string
                                      format: uuid
                                    public_id:
                                      type: string
                                      nullable: true
                                    label:
                                      type: string
                                    slug:
                                      type: string
                                    slack_channel:
                                      type: object
                                      nullable: true
                                      properties:
                                        name:
                                          type: string
                                          nullable: true
                                      required:
                                        - name
                                  required:
                                    - id
                                    - label
                                    - slug
                              required:
                                - slack_channel
                          custom_emojis:
                            type: array
                            items:
                              type: object
                              properties:
                                alias:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                url:
                                  type: string
                                  nullable: true
                              required:
                                - alias
                                - name
                                - url
                          urls:
                            type: array
                            items:
                              type: object
                              properties:
                                order_seen:
                                  type: number
                                is_embedded_media:
                                  type: boolean
                                is_image:
                                  type: boolean
                                is_video:
                                  type: boolean
                                url:
                                  type: string
                              required:
                                - order_seen
                                - is_embedded_media
                                - is_image
                                - is_video
                                - url
                        required:
                          - mentioned_slack_users
                          - mentioned_slack_channels
                          - custom_emojis
                          - urls
                      enable_registration_button:
                        type: boolean
                      end_date:
                        type: string
                      external_speakers:
                        type: string
                        nullable: true
                      is_unlisted:
                        type: boolean
                      link:
                        type: string
                        nullable: true
                      location:
                        type: string
                        nullable: true
                      luma_event_id:
                        type: string
                        nullable: true
                      publish_to_site:
                        type: boolean
                      triggers_webhooks:
                        type: boolean
                      recap_slack_blocks:
                        type: array
                        nullable: true
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - rich_text
                            elements:
                              type: array
                              items:
                                anyOf:
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - rich_text_section
                                      elements:
                                        type: array
                                        items:
                                          anyOf:
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - broadcast
                                                range:
                                                  type: string
                                                  enum:
                                                    - here
                                                    - channel
                                                    - everyone
                                              required:
                                                - type
                                                - range
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - color
                                                value:
                                                  type: string
                                              required:
                                                - type
                                                - value
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - channel
                                                channel_id:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    highlight:
                                                      type: boolean
                                                    client_highlight:
                                                      type: boolean
                                                    unlink:
                                                      type: boolean
                                              required:
                                                - type
                                                - channel_id
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - date
                                                timestamp:
                                                  type: number
                                                format:
                                                  type: string
                                                url:
                                                  type: string
                                                fallback:
                                                  type: string
                                              required:
                                                - type
                                                - timestamp
                                                - format
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - emoji
                                                name:
                                                  type: string
                                                unicode:
                                                  type: string
                                              required:
                                                - type
                                                - name
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - link
                                                url:
                                                  type: string
                                                text:
                                                  type: string
                                                unsafe:
                                                  type: boolean
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    code:
                                                      type: boolean
                                              required:
                                                - type
                                                - url
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - text
                                                text:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    code:
                                                      type: boolean
                                              required:
                                                - type
                                                - text
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - user
                                                user_id:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    highlight:
                                                      type: boolean
                                                    client_highlight:
                                                      type: boolean
                                                    unlink:
                                                      type: boolean
                                              required:
                                                - type
                                                - user_id
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - usergroup
                                                usergroup_id:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    highlight:
                                                      type: boolean
                                                    client_highlight:
                                                      type: boolean
                                                    unlink:
                                                      type: boolean
                                              required:
                                                - type
                                                - usergroup_id
                                    required:
                                      - type
                                      - elements
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - rich_text_list
                                      style:
                                        type: string
                                        enum:
                                          - bullet
                                          - ordered
                                      elements:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - rich_text_section
                                            elements:
                                              type: array
                                              items:
                                                anyOf:
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - broadcast
                                                      range:
                                                        type: string
                                                        enum:
                                                          - here
                                                          - channel
                                                          - everyone
                                                    required:
                                                      - type
                                                      - range
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - color
                                                      value:
                                                        type: string
                                                    required:
                                                      - type
                                                      - value
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - channel
                                                      channel_id:
                                                        type: string
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          highlight:
                                                            type: boolean
                                                          client_highlight:
                                                            type: boolean
                                                          unlink:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - channel_id
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - date
                                                      timestamp:
                                                        type: number
                                                      format:
                                                        type: string
                                                      url:
                                                        type: string
                                                      fallback:
                                                        type: string
                                                    required:
                                                      - type
                                                      - timestamp
                                                      - format
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - emoji
                                                      name:
                                                        type: string
                                                      unicode:
                                                        type: string
                                                    required:
                                                      - type
                                                      - name
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - link
                                                      url:
                                                        type: string
                                                      text:
                                                        type: string
                                                      unsafe:
                                                        type: boolean
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          code:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - url
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - text
                                                      text:
                                                        type: string
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          code:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - text
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - user
                                                      user_id:
                                                        type: string
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          highlight:
                                                            type: boolean
                                                          client_highlight:
                                                            type: boolean
                                                          unlink:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - user_id
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - usergroup
                                                      usergroup_id:
                                                        type: string
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          highlight:
                                                            type: boolean
                                                          client_highlight:
                                                            type: boolean
                                                          unlink:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - usergroup_id
                                          required:
                                            - type
                                            - elements
                                      indent:
                                        type: number
                                        minimum: 0
                                      offset:
                                        type: number
                                        minimum: 0
                                      border:
                                        type: number
                                        minimum: 0
                                    required:
                                      - type
                                      - style
                                      - elements
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - rich_text_preformatted
                                      elements:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - text
                                            text:
                                              type: string
                                            style:
                                              type: object
                                              properties:
                                                bold:
                                                  type: boolean
                                                italic:
                                                  type: boolean
                                                strike:
                                                  type: boolean
                                                code:
                                                  type: boolean
                                          required:
                                            - type
                                            - text
                                      border:
                                        type: number
                                        minimum: 0
                                    required:
                                      - type
                                      - elements
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - rich_text_quote
                                      elements:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - text
                                            text:
                                              type: string
                                            style:
                                              type: object
                                              properties:
                                                bold:
                                                  type: boolean
                                                italic:
                                                  type: boolean
                                                strike:
                                                  type: boolean
                                                code:
                                                  type: boolean
                                          required:
                                            - type
                                            - text
                                      border:
                                        type: number
                                        minimum: 0
                                    required:
                                      - type
                                      - elements
                            block_id:
                              type: string
                          required:
                            - type
                            - elements
                        description: >-
                          The event recap in Slack blocks format for rich text
                          input element. Only one of recap_slack_blocks or
                          recap_text must be present.
                      recap_slack_blocks_references:
                        type: object
                        nullable: true
                        properties:
                          mentioned_slack_users:
                            type: array
                            items:
                              type: object
                              properties:
                                profile_id:
                                  type: string
                                  format: uuid
                                preferred_name:
                                  type: string
                                slack_user_id:
                                  type: string
                                  nullable: true
                              required:
                                - profile_id
                                - preferred_name
                          mentioned_slack_channels:
                            type: array
                            items:
                              type: object
                              properties:
                                slack_channel:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    name:
                                      type: string
                                      nullable: true
                                  required:
                                    - id
                                    - name
                                feed:
                                  type: object
                                  nullable: true
                                  properties:
                                    id:
                                      type: string
                                      format: uuid
                                    public_id:
                                      type: string
                                      nullable: true
                                    label:
                                      type: string
                                    slug:
                                      type: string
                                    slack_channel:
                                      type: object
                                      nullable: true
                                      properties:
                                        name:
                                          type: string
                                          nullable: true
                                      required:
                                        - name
                                  required:
                                    - id
                                    - label
                                    - slug
                              required:
                                - slack_channel
                          custom_emojis:
                            type: array
                            items:
                              type: object
                              properties:
                                alias:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                url:
                                  type: string
                                  nullable: true
                              required:
                                - alias
                                - name
                                - url
                          urls:
                            type: array
                            items:
                              type: object
                              properties:
                                order_seen:
                                  type: number
                                is_embedded_media:
                                  type: boolean
                                is_image:
                                  type: boolean
                                is_video:
                                  type: boolean
                                url:
                                  type: string
                              required:
                                - order_seen
                                - is_embedded_media
                                - is_image
                                - is_video
                                - url
                        required:
                          - mentioned_slack_users
                          - mentioned_slack_channels
                          - custom_emojis
                          - urls
                      recording_link:
                        type: string
                        nullable: true
                      webhook_custom_metadata:
                        type: string
                        nullable: true
                      show_end_date:
                        type: boolean
                      slug:
                        type: string
                        description: The URL slug for the event.
                      start_date:
                        type: string
                      status:
                        type: string
                        enum:
                          - draft
                          - needs_approval
                          - published
                        description: The event status.
                      title:
                        type: string
                      use_registration_btn_as_link:
                        type: boolean
                      attendees_count:
                        type: number
                      cover_image_url:
                        type: string
                        nullable: true
                      published_to:
                        type: array
                        items:
                          type: object
                          properties:
                            slack_channel_id:
                              type: string
                            slack_message_permalink:
                              type: string
                              nullable: true
                            feed_id:
                              type: string
                              nullable: true
                              format: uuid
                          required:
                            - slack_channel_id
                            - slack_message_permalink
                        maxItems: 10
                        description: >-
                          The Slack channel(s) and connected site feed(s), if
                          any, that the event announcements are posted to when
                          published. May be empty if no Slack announcements are
                          configured.
                      hosts:
                        type: array
                        items:
                          type: object
                          properties:
                            profile_id:
                              type: string
                              format: uuid
                            created_at:
                              type: string
                              format: date-time
                            preferred_name:
                              type: string
                            preferred_image_original:
                              type: string
                              nullable: true
                            preferred_image_1024:
                              type: string
                              nullable: true
                            preferred_image_512:
                              type: string
                              nullable: true
                            preferred_image_192:
                              type: string
                              nullable: true
                            preferred_image_72:
                              type: string
                              nullable: true
                            preferred_image_48:
                              type: string
                              nullable: true
                            preferred_image_32:
                              type: string
                              nullable: true
                            preferred_image_24:
                              type: string
                              nullable: true
                            first_name:
                              type: string
                              nullable: true
                            last_name:
                              type: string
                              nullable: true
                            email:
                              type: string
                              nullable: true
                              format: email
                            slack_user_id:
                              type: string
                              nullable: true
                            slack_is_admin:
                              type: boolean
                              nullable: true
                            slack_is_bot:
                              type: boolean
                              nullable: true
                            slack_first_name:
                              type: string
                              nullable: true
                            slack_last_name:
                              type: string
                              nullable: true
                            slack_image_72:
                              type: string
                              nullable: true
                            slack_image_original:
                              type: string
                              nullable: true
                          required:
                            - profile_id
                            - created_at
                            - preferred_name
                            - preferred_image_original
                            - preferred_image_1024
                            - preferred_image_512
                            - preferred_image_192
                            - preferred_image_72
                            - preferred_image_48
                            - preferred_image_32
                            - preferred_image_24
                        maxItems: 10
                        description: The user(s) featured as a host for the event.
                      speakers:
                        type: array
                        items:
                          type: object
                          properties:
                            profile_id:
                              type: string
                              format: uuid
                            created_at:
                              type: string
                              format: date-time
                            preferred_name:
                              type: string
                            preferred_image_original:
                              type: string
                              nullable: true
                            preferred_image_1024:
                              type: string
                              nullable: true
                            preferred_image_512:
                              type: string
                              nullable: true
                            preferred_image_192:
                              type: string
                              nullable: true
                            preferred_image_72:
                              type: string
                              nullable: true
                            preferred_image_48:
                              type: string
                              nullable: true
                            preferred_image_32:
                              type: string
                              nullable: true
                            preferred_image_24:
                              type: string
                              nullable: true
                            first_name:
                              type: string
                              nullable: true
                            last_name:
                              type: string
                              nullable: true
                            email:
                              type: string
                              nullable: true
                              format: email
                            slack_user_id:
                              type: string
                              nullable: true
                            slack_is_admin:
                              type: boolean
                              nullable: true
                            slack_is_bot:
                              type: boolean
                              nullable: true
                            slack_first_name:
                              type: string
                              nullable: true
                            slack_last_name:
                              type: string
                              nullable: true
                            slack_image_72:
                              type: string
                              nullable: true
                            slack_image_original:
                              type: string
                              nullable: true
                          required:
                            - profile_id
                            - created_at
                            - preferred_name
                            - preferred_image_original
                            - preferred_image_1024
                            - preferred_image_512
                            - preferred_image_192
                            - preferred_image_72
                            - preferred_image_48
                            - preferred_image_32
                            - preferred_image_24
                        maxItems: 10
                        description: The user(s) featured as a speaker for the event.
                      tags:
                        type: array
                        nullable: true
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            created_at:
                              type: string
                              format: date-time
                            tag_group_id:
                              type: string
                            label:
                              type: string
                          required:
                            - id
                            - created_at
                            - tag_group_id
                            - label
                      reminders_config:
                        type: array
                        nullable: true
                        items:
                          type: object
                          properties:
                            minutes:
                              type: number
                          required:
                            - minutes
                        default:
                          - minutes: 10
                    required:
                      - id
                      - created_at
                      - updated_at
                      - allow_public_guest_list
                      - description_slack_blocks_references
                      - enable_registration_button
                      - end_date
                      - external_speakers
                      - is_unlisted
                      - link
                      - location
                      - luma_event_id
                      - publish_to_site
                      - triggers_webhooks
                      - recap_slack_blocks_references
                      - recording_link
                      - webhook_custom_metadata
                      - show_end_date
                      - slug
                      - start_date
                      - status
                      - title
                      - use_registration_btn_as_link
                      - attendees_count
                      - published_to
                      - hosts
                      - speakers
                required:
                  - success
                  - data
        '400':
          description: Returns an error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '403':
          description: Returns a Forbidden error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '404':
          description: Returns a Not Found error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '500':
          description: Returns an Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Create calendar event](/api-reference/calendar-events/create-calendar-event.md)
- [Delete calendar event](/api-reference/calendar-events/delete-calendar-event.md)
- [List calendar events](/api-reference/calendar-events/list-calendar-events.md)
- [Update calendar event attendee](/api-reference/calendar-events/update-calendar-event-attendee.md)
- [Triggered when a calendar event ends](/api-reference/webhooks/triggered-when-a-calendar-event-ends.md)
